.login-modal {
  position: fixed;
  display: none;
  overflow: hidden;
  overflow-y: auto;
  z-index: 9000;

  align-items: center;
  justify-content: flex-start;

  flex-direction: column;

  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  width: 100vw;
  height: 100vh;

  padding: 90px 0;

  background: rgba(120, 120, 120, 0.6);
}
.login-modal.active {
  display: flex;
}

.login-modal-container {
  position: relative;
  display: flex;

  flex-direction: column;

  margin-bottom: 100px;

  width: 100%;
  max-width: 400px;

  padding-bottom: 20px;

  border-radius: 6px;

  background: white;
  box-shadow: 0 12px 42px -26px rgba(0, 0, 0, 0.5);
}
.login-modal-header {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: space-between;

  flex-direction: row;

  width: 100%;

  margin-bottom: 20px;

  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}

.login-modal-header-title {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-size: 14px;
  font-weight: 600;

  padding: 15px 20px;
}

.login-modal-header-closebutton {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  width: 50px;
  height: 50px;

  font-size: 14px;

  color: rgba(120, 120, 120, 1);
}

.login-modal-tabs {
  position: relative;
  display: flex;
  overflow: hidden;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
}

.login-modal-tab {
  position: relative;
  display: none;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;
  min-width: 100%;

  transition: 0.45s all ease-out;
}
.login-modal-tab.active {
  display: flex;
}

.login-modal-body {
  position: relative;
  display: flex;
  gap: 20px;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;

  padding: 0 20px;
}

.login-modal-inputgroup {
  position: relative;
  display: flex;
  gap: 5px;

  flex-direction: column;

  width: 100%;

  font-size: 14px;
  font-weight: 600;

  color: black;
}

.login-modal-inputgroup-title {
  position: relative;

  font-size: 12px;
  font-weight: 600;
}

.login-modal-inputgroup-error {
  position: relative;
  display: none;

  flex-direction: row;

  width: 100%;

  padding: 5px 0;

  font-size: 12px;

  color: rgba(220, 60, 60, 1);
}
.login-modal-inputgroup.has-error .login-modal-inputgroup-error {
  display: flex;
}

.login-modal-phonefield,
.login-modal-otpfield {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
  height: 40px;

  font-size: 12px;
  font-weight: 600;

  border-radius: 0;
  border: 1px solid rgba(0, 0, 0, 0.05);

  color: black;
}
.login-modal-phonefield-countrycode {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  height: 100%;

  padding: 10px 15px;

  border-right: 1px solid rgba(0, 0, 0, 0.05);
}
.login-modal-phonefield-input,
.login-modal-otpfield-input {
  position: relative;

  outline: 0;
  border: 0;
  padding: 0;
  margin: 0;

  width: 100%;
  height: 100%;

  padding-left: 15px;

  font-size: 12px;
  font-weight: 600;
}

.login-modal-body-buttons {
  position: relative;
  display: flex;
  gap: 5px;

  flex-direction: column;

  width: 100%;
}

.login-modal-body-button {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  width: 100%;
  height: 40px;

  border: 1px solid currentColor;
  border-radius: 6px;

  font-size: 12px;

  color: black;
  background: white;

  transition: 0.3s all ease-out;
}
.login-modal-body-button:hover {
  background: rgba(0, 0, 0, 0.05);
}

.login-modal-body-button-text {
  position: relative;
}

.login-modal.is-loading .login-modal-body-button {
  pointer-events: none;
  opacity: 0.5;
}
.login-modal.is-loading .login-modal-body-button > *,
.login-modal .login-modal-body-button .login-modal-body-button-loading-elem {
  display: none;
}
.login-modal.is-loading .login-modal-body-button .login-modal-body-button-loading-elem {
  display: flex;
}

.login-modal-body-button--primary {
  color: white;
  background: black;
}
.login-modal-body-button--primary:hover {
  background: rgba(0, 0, 0, 0.75);
}



.login-modal-otpfield-input {
  padding: 0 15px;
  text-align: center;
}
